#include <iostream>
#include <vector>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);
    int n, m;
    cin >> n >> m;
    vector<int> d(n);
    vector<int> u(n);
    for(int i=0; i<n; i++){
        cin >> d[i];
        cin >> u[i];
    }

    vector<int> l(m);
    vector<int> r(m);
    vector<int> x(m);
    for(int j=0; j<m; j++){
        cin >> l[j];
        cin >> r[j];
        cin >> x[j];
    }

    int resenje = 0;
    for(int k=0; k<m; k++){
        for(int y=l[k]; y<=r[k]; y++){
            if(d[y-1]<=x[k] && x[k]<=u[y-1]){
                resenje++;
            }
        }
        cout << resenje << endl;
        resenje = 0;
    }
    return 0;
}